Skip to content

Ripple Collections (alpha) (0.0.1)

The Ripple Collection APIs are used to manage collections, manage payment channels, manage partners and settlements.

API Environments

The Ripple Collection APIs offers the following environments:

Environment
Base URLDescription
Sandboxhttps://docs.ripple.com/products/collections/_mock/api/collectionsSandbox environment with mock data which does not require auth.
UAThttps://api.test.ripple.comUAT environment with simulated transactions.
Productionhttps://api.ripple.comProduction environment

For guides on API authentication, idempotency, and webhook verification, see the sidebar.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.ripple.com/_mock/products/collections/v0/api/collections
https://api.test.ripple.com
https://api.ripple.com
Operations

Endpoints for managing persistent collection channels

Operations

Endpoints for managing partners who can transact

Operations
Operations

Endpoints for viewing transactions across collection links and channels

Operations

Request

API to fetch transactions across collections links or channels (transactions).

Security
Bearer
Query
idstring(uuid)

Filter transactions by specific transaction ID

Example: id=63dd59dd-88be-41a2-a246-2f6724209422
statusstring(TransactionStatus)

Transaction status

Enum"COMPLETED""FAILED_KYT""FAILED""HOLD_KYT""REFUNDED_KYT""PROCESSING"
Example: status=COMPLETED
payer_idstring(uuid)

Filter transactions by payer identifier

Example: payer_id=e471b938-98ad-45e4-b144-53a556ea047d
beneficiary_idstring(uuid)

Filter transactions by beneficiary identifier

Example: beneficiary_id=291ecf34-a01d-466a-b0fd-662a88b7a1bb
currencystring

Filter transactions by transaction currency

Example: currency=USDT
networkstring(Network)

Filter transactions by transaction network

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: network=ETHEREUM
wallet_addressstring

Filter transactions by wallet addresss

Example: wallet_address=0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5
sincestring(date-time)

ISO 8601 timestamp after transaction was created

Example: since=2025-06-17T12:00:00Z
untilstring(date-time)

ISO 8601 timestamp before transaction was created

Example: until=2025-06-17T12:00:00Z
pageinteger>= 1

Page number (starts at 1)

Default 1
Example: page=1
sizeinteger>= 1

Page size (items per page)

Default 10
Example: size=10
curl -i -X GET \
  'https://docs.ripple.com/_mock/products/collections/v0/api/collections/v0/collections/transactions?id=63dd59dd-88be-41a2-a246-2f6724209422&status=COMPLETED&payer_id=e471b938-98ad-45e4-b144-53a556ea047d&beneficiary_id=291ecf34-a01d-466a-b0fd-662a88b7a1bb&currency=USDT&network=ETHEREUM&wallet_address=0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5&since=2025-06-17T12%3A00%3A00Z&until=2025-06-17T12%3A00%3A00Z&page=1&size=10' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

A list of transactions.

Bodyapplication/json
contentArray of objects(Transaction)
pageobject(PageMetadata)

Pagination metadata.

Response
application/json
{ "content": [ {} ], "page": { "page": 1, "size": 10, "total_elements": 100, "total_pages": 10 } }

Request

API to fetch a transaction (payment from a payer to beneficiary)

Security
Bearer
Path
transaction_idstring(uuid)required

Unique identifier of the transaction to retrieve

Example: 487ba009-56cf-4ad9-8b5c-045e27893e00
curl -i -X GET \
  https://docs.ripple.com/_mock/products/collections/v0/api/collections/v0/collections/transactions/487ba009-56cf-4ad9-8b5c-045e27893e00 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response.

Bodyapplication/json
idstring(uuid)required

Unique identifier for the transaction

Example: "487ba009-56cf-4ad9-8b5c-045e27893e00"
parent_idstring(uuid)required

Identifier of the parent entity (collection link or channel) for this transaction

Example: "e8d43598-107d-4694-9fb2-934e7484c3d4"
settlement_idstring or null(uuid)

Identifier of the settlement associated with this transaction. Null if the transaction has not been included in a settlement yet.

Example: "9f3e4d2c-1a5b-4c8e-9d7f-2e1a3b4c5d6e"
payerobjectrequired

Payer partner details

payer.​idstring(uuid)required

Unique identifier for the payer partner

Example: "0c5479ff-3772-4123-b2b7-e679e71eb570"
payer.​namestringrequired

Full name of the payer partner

Example: "Nigerian Imports Ltd."
payer.​emailstring(email)required

Email address of the payer partner

Example: "nigerian@imports.com"
beneficiaryobjectrequired

Beneficiary partner details

beneficiary.​idstring(uuid)required

Unique identifier of the beneficiary partner

Example: "01467076-8bb0-41c1-ad54-5751dd4a9e80"
beneficiary.​namestringrequired

Full name of the beneficiary partner

Example: "Hong Kong Exports Ltd."
beneficiary.​emailstring(email)required

Email address of the beneficiary partner

Example: "hongkong@exports.com"
payment_amountobjectrequired

Crypto payment amount and asset

payment_amount.​valuestringrequired

Payment amount as a string to preserve precision

Example: "50.00000000"
payment_amount.​assetstringrequired

Crypto asset symbol of the payment

Example: "USDT"
fiat_equivalentobjectrequired

Fiat equivalent amounts for payment, fee, and net

fiat_equivalent.​gross_amountobjectrequired
fiat_equivalent.​gross_amount.​valuestringrequired

Gross amount in fiat

Example: "50.00"
fiat_equivalent.​gross_amount.​currencystringrequired

Fiat currency code

Example: "USD"
fiat_equivalent.​fee_amountobjectrequired
fiat_equivalent.​fee_amount.​valuestringrequired

Fee amount in fiat

Example: "0.50"
fiat_equivalent.​fee_amount.​currencystringrequired

Fiat currency code

Example: "USD"
fiat_equivalent.​net_amountobjectrequired
fiat_equivalent.​net_amount.​valuestringrequired

Net amount in fiat

Example: "49.50"
fiat_equivalent.​net_amount.​currencystringrequired

Fiat currency code

Example: "USD"
market_rateobjectrequired

Market rate reference for the transaction

market_rate.​basestring

Base currency for the exchange rate

Example: "USDT"
market_rate.​counterstring

Counter currency for the exchange rate

Example: "USD"
market_rate.​ratestring

Exchange rate from base to counter currency

Example: "1.00"
exchange_rateobjectrequired

Exchange rate applied on the transaction

exchange_rate.​basestring

Base currency for the exchange rate

Example: "USDT"
exchange_rate.​counterstring

Counter currency for the exchange rate

Example: "USD"
exchange_rate.​ratestring

Exchange rate from base to counter currency

Example: "0.99"
source_transaction_detailsobjectrequired

On-chain transaction details

source_transaction_details.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
source_transaction_details.​transaction_hashstringrequired

Blockchain transaction hash

Example: "0x94365ftfr76iy45t6ghu876567ytr54ertyui987uyt698uyh87u"
source_transaction_details.​block_idstringrequired

Blockchain block identifier containing this transaction

Example: "0xh7865gugi87yea94e8267987a9e91eddcd0da916b22f3cfa0c8bd91dbad85"
source_transaction_details.​source_addressstringrequired

Blockchain address from which funds were sent

Example: "0x880f622a1933ACf82bFC5e630c9ab7f18eF47809"
source_transaction_details.​destination_addressstringrequired

Blockchain address to which funds were sent

Example: "0x02937b288b588058533C48b18EdFDdd76A324D6"
source_transaction_details.​gas_feeobjectrequired

Blockchain gas fee details

source_transaction_details.​gas_fee.​valuestring

Gas fee value

Example: "0.0045"
source_transaction_details.​gas_fee.​assetstring

Asset used to pay gas fee

Example: "ETH"
statusstring(TransactionStatus)required

Transaction status

Enum"COMPLETED""FAILED_KYT""FAILED""HOLD_KYT""REFUNDED_KYT""PROCESSING"
Example: "COMPLETED"
reasonstring or null

Reason for current status (if applicable)

Example: null
transaction_processed_datestring(date-time)required

ISO 8601 timestamp of the transaction

Example: "2025-06-17T12:20:00Z"
date_createdinteger(int64)required

Unix timestamp (milliseconds) when transaction was created

Example: 1566203005000
date_confirmedinteger(int64)required

Unix timestamp (milliseconds) when transaction was confirmed on blockchain

Example: 1566203005000
Response
application/json
{ "id": "487ba009-56cf-4ad9-8b5c-045e27893e00", "parent_id": "e8d43598-107d-4694-9fb2-934e7484c3d4", "settlement_id": "9f3e4d2c-1a5b-4c8e-9d7f-2e1a3b4c5d6e", "payer": { "id": "0c5479ff-3772-4123-b2b7-e679e71eb570", "name": "Nigerian Imports Ltd.", "email": "nigerian@imports.com" }, "beneficiary": { "id": "01467076-8bb0-41c1-ad54-5751dd4a9e80", "name": "Hong Kong Exports Ltd.", "email": "hongkong@exports.com" }, "payment_amount": { "value": "50.00000000", "asset": "USDT" }, "fiat_equivalent": { "gross_amount": {}, "fee_amount": {}, "net_amount": {} }, "market_rate": { "base": "USDT", "counter": "USD", "rate": "1.00" }, "exchange_rate": { "base": "USDT", "counter": "USD", "rate": "0.99" }, "source_transaction_details": { "network": "ETHEREUM", "transaction_hash": "0x94365ftfr76iy45t6ghu876567ytr54ertyui987uyt698uyh87u", "block_id": "0xh7865gugi87yea94e8267987a9e91eddcd0da916b22f3cfa0c8bd91dbad85", "source_address": "0x880f622a1933ACf82bFC5e630c9ab7f18eF47809", "destination_address": "0x02937b288b588058533C48b18EdFDdd76A324D6", "gas_fee": {} }, "status": "COMPLETED", "reason": null, "transaction_processed_date": "2025-06-17T12:20:00Z", "date_created": 1566203005000, "date_confirmed": 1566203005000 }

Endpoints for managing webhook registrations

Operations